Blob (SASL Profile API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.profile.sasl
Class Blob

    java.lang.Object
      |
      +--org.beepcore.beep.profile.sasl.Blob

public class Blob
extends java.lang.Object

The Blob class tries to abstract some of the complexity inherent in dealing with the XML elements that are used in the SASL profiles. This class may eventually belong in CORE, but until then. One other developmental issue - it might be simpler to just use strings all the time. I just try to avoid string comparison, but I'm not sure this effort is buying anything. I need to examine how the status is used...and may well go back to String representation of status alone.

Field Summary
`static java.lang.String` | `ABORT`
`static java.lang.String` | `COMPLETE`
`static java.lang.String` | `CONTINUE`
`static int` | `DEFAULT_BLOB_SIZE`
`static java.lang.String` | `NONE`
`static int` | `STATUS_ABORT`
`static int` | `STATUS_COMPLETE`
`static int` | `STATUS_CONTINUE`
`static int` | `STATUS_LIMIT`
`static int` | `STATUS_NONE`

Constructor Summary
`Blob(int status)` This is the Constructor for those that want to create and send a blob.
`Blob(int status, byte[] data)` This is the Constructor for those that want to create and send a blob.
`Blob(int status, java.lang.String data)` This is the Constructor for those that want to create and send a blob.
`Blob(java.lang.String blob)` Constructor for those that want to 'receive' or 'digest' a blob.

Method Summary
`java.lang.String` | `getData()` Returns the blob data as a `String`.
`byte[]` | `getDataBytes()` Returns the blob data as bytes.
`java.lang.String` | `getStatus()` Returns the status used in the blob - can be 'none'.
`java.lang.String` | `toString()` Returns a representation of the Blob as it would be sent out on the wire (with the data encoded).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABORT

    public static final java.lang.String ABORT

See Also:
  Constant Field Values

### COMPLETE

    public static final java.lang.String COMPLETE

See Also:
  Constant Field Values

### CONTINUE

    public static final java.lang.String CONTINUE

See Also:
  Constant Field Values

### NONE

    public static final java.lang.String NONE

See Also:
  Constant Field Values

### STATUS_NONE

    public static final int STATUS_NONE

See Also:
  Constant Field Values

### STATUS_ABORT

    public static final int STATUS_ABORT

See Also:
  Constant Field Values

### STATUS_CONTINUE

    public static final int STATUS_CONTINUE

See Also:
  Constant Field Values

### STATUS_COMPLETE

    public static final int STATUS_COMPLETE

See Also:
  Constant Field Values

### STATUS_LIMIT

    public static final int STATUS_LIMIT

See Also:
  Constant Field Values

### DEFAULT_BLOB_SIZE

    public static final int DEFAULT_BLOB_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Blob

    public Blob(int status)
         throws SASLException

  This is the Constructor for those that want to create and send a blob.

Parameters:
  `status` - the status to construct the blob with (see the constants in this class).
Throws:
  `SASLException`

### Blob

    public Blob(int status,
                java.lang.String data)
         throws SASLException

  This is the Constructor for those that want to create and send a blob.

Parameters:
  `status` - the status to construct the blob with (see the constants in this class).
  `data` - the data to be embedded in the blob element
Throws:
  `SASLException`

### Blob

    public Blob(int status,
                byte[] data)
         throws SASLException

  This is the Constructor for those that want to create and send a blob.

Parameters:
  `status` - the status to construct the blob with (see the constants in this class).
  `data` - the data to be embedded in the blob element
Throws:
  `SASLException`

### Blob

    public Blob(java.lang.String blob)
         throws SASLException

  Constructor for those that want to 'receive' or 'digest' a blob.

Throws:
  `SASLException` - in the event that errors occur during the parsing of the blob passed in.

Method Detail

### getStatus

    public java.lang.String getStatus()

  Returns the status used in the blob - can be 'none'.

### getData

    public java.lang.String getData()

  Returns the blob data as a `String`.

### getDataBytes

    public byte[] getDataBytes()

  Returns the blob data as bytes.

### toString

    public java.lang.String toString()

  Returns a representation of the Blob as it would be sent out on the wire (with the data encoded).

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.